Package org.eclipse.graphiti.dt

# Interface IDiagramTypeProviderHolder

All Known Subinterfaces:
  `IRendererContext`

All Known Implementing Classes:
  `RendererContext`

public interface IDiagramTypeProviderHolder
The Interface IDiagramTypeProviderHolder.

## Method Summary

Modifier and Type
Method
Description
`IDiagramTypeProvider`
`getDiagramTypeProvider()`
Gets the diagram type provider.

## Method Details

### getDiagramTypeProvider

IDiagramTypeProvider getDiagramTypeProvider()
Gets the diagram type provider.

Returns:
  the diagram type provider